Issue 119955 - [From Symphony]Application crash if insert sample file to section
[From Symphony]Application crash if insert sample file to section
Product: Writer
Classification: Application
Component: editing
PC All
: P3 Critical (vote)
: 4.0.0
Assigned To: AOO issues mailing list
Depends on:
  Show dependency treegraph
Reported: 2012-06-12 06:42 UTC by Yan Ji
Modified: 2012-10-09 09:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---

sample (197.62 KB, application/msword)
2012-06-12 06:42 UTC, Yan Ji
no flags Details
This patch is to solve the overflow problem (916 bytes, patch)
2012-06-13 03:18 UTC, Jian Hong Cheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-06-12 06:42:42 UTC
Created attachment 78248 [details]

Build: AOO 3.4
1. New text document
2. Drag sample file into document
3. Insert Section dialog popup
4. Click "OK"

Defect: Application crashed.
Comment 1 Jian Hong Cheng 2012-06-13 03:16:32 UTC
The node structure in the nodes array of writer document is that different contents are within given section,not completely ordered..So,their index are not,when using their difference of index directly,overflow problem will occur because of the difference may be negative.In this case,it is the negative index difference that leads to crash.
Comment 2 Jian Hong Cheng 2012-06-13 03:18:01 UTC
Created attachment 78273 [details]
This patch is to solve the overflow problem
Comment 3 Jian Hong Cheng 2012-06-13 03:22:59 UTC
Committed with revision:1349625
Comment 4 binguo 2012-06-19 07:15:55 UTC
Verified it on Aoo_Trunk_20120616.1800.1350879 and it does not reproduce, so close it as fixed.
Comment 5 Shenfeng Liu 2012-10-09 09:34:36 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.